Index: FOIAVistA/tag/r/DSS_EXTRACTS-ECX/ECXLBB.m
===================================================================
--- FOIAVistA/trunk/r/DSS_EXTRACTS-ECX/ECXLBB.m	(revision 631)
+++ FOIAVistA/tag/r/DSS_EXTRACTS-ECX/ECXLBB.m	(revision 636)
@@ -1,4 +1,4 @@
-ECXLBB ;DALOI/KML - DSS BLOOD BANK EXTRACT ; 10/17/07 10:33am
- ;;3.0;DSS EXTRACTS;**78,84,90,92,104,105**;Dec 22, 1997;Build 70
+ECXLBB ;DALOI/KML - DSS BLOOD BANK EXTRACT ; 2/22/07 11:42am
+ ;;3.0;DSS EXTRACTS;**78,84,90,92,104**;Dec 22, 1997;Build 8
  ;Per VHA Directive 97-033 this routine should not be modified.  Medical Device # BK970021
  ; access to the LAB DATA file (#63) is supported by 
@@ -12,5 +12,5 @@
 START ; Entry point from tasked job
  ; begin package specific extract
- N ECTRSP,ECADMT,ECTODT,ECENCTR,ECPAT,ECLRDFN,ECXPHY,ECXPHYPC,ECPHYNPI
+ N ECTRSP,ECADMT,ECTODT,ECENCTR,ECPAT,ECLRDFN,ECXPHY,ECXPHYPC
  N ECD,ECXDFN,ECARRY,EC66,ECERR,ECTRFDT,ECTRFTM,ECX,ECINOUT,ECXINST
  ;variables ECFILE,EC23,ECXYM,ECINST,ECSD,ECSD1,ECED passed in 
@@ -37,5 +37,5 @@
  .; ECARRY(7)=VOLUME TRANSFUSED, ECARRY(8)=TRANSFUSION REACTION TYPE
  .; ECARRY(9)=REQUESTING PROVIDER, ECARRY(10)=REQUEST. PROV. PERSON CLASS
- .; ECARRY(11)=UNIT MODIFIED,ECARRY(12)=UNIT MODIFICATION
+ .; ECARRY(11)=UNIT MODIFIED, ECARRY(12)=UNIT MODIFICATION
  .; ECARRY(13)=PRODUCTION DIVISION CODE
  . S ECARRY(1)=$P(EC0,"^"),EC66=$G(^LAB(66,$P(EC0,"^",2),0))
@@ -45,11 +45,11 @@
  . S ECARRY(8)=$E($P($G(^LAB(65.4,+$P(EC0,"^",11),0)),"^"),1,10)
  . S (ECARRY(9),ECARRY(10),ECARRY(13))="" D GETRPRV
- . S ECARRY(11)=$$MODIFIED(),(ECXPHY,ECXPHYPC,ECPHYNPI)=""
- . S ECARRY(12)=$S(ECARRY(11)="Y":$$UNITMODS(),1:"")
+ . S ECARRY(12)=$$UNITMOD(),ECARRY(11)=$S(ECARRY(12)'="":"Y",1:"N")
+ . S (ECXPHY,ECXPHYPC)=""
  . D GETDATA
  . K ECARRY
  Q
  ;
-UNITMODS() ; Get modification criteria from fields #.06 and #3 from file #66
+UNITMOD() ; Get modification criteria from fields #.06 and #3 from file #66
  N MODARY,MO,EC66A,MODSTR,STR3
  S MODARY("DIVIDED")="D",MODARY("POOLED")="P",MODARY("WASHED")="W"
@@ -58,31 +58,18 @@
  S MODARY("IRRADIATED")="I",MODARY("SEPARATED")="S"
  ;if modification criteria is null determine value from description
- S MODSTR=$S($P(EC66,U,6)'="":$P(EC66,U,6),1:$$CHKMOD^ECXLBB1($P(EC66,"^")))
+ S MODSTR=$S($P(EC66,U,6)'="":$P(EC66,U,6),1:$$CHKMOD($P(EC66,"^")))
  ;get modification criteria for entries at field #3 in file #66
  S MOD=0 F  S MOD=$O(^LAB(66,$P(EC0,"^",2),3,MOD)) Q:'MOD  D
  .S EC66A=$G(^LAB(66,MOD,0)) I EC66A="" Q
- .S STR3=$S($P(EC66A,U,6)'="":$P(EC66A,U,6),1:$$CHKMOD^ECXLBB1($P(EC66A,"^")))
+ .S STR3=$S($P(EC66A,U,6)'="":$P(EC66A,U,6),1:$$CHKMOD($P(EC66A,"^")))
  .I STR3'="",MODSTR'[STR3 S MODSTR=MODSTR_STR3
  Q MODSTR
  ;
-MODIFIED() ; Was unit modified
- ; Init variables
- N XMATCH,UNIT,MOD,COMPID,MODNODE,MODTO
- S (XMATCH,UNIT)=0,MOD=""
- ; Check input
- Q:'$G(ECLRDFN)!'$P(EC0,U,2) "N"
- ;Find xmatch for blood component request
- S XMATCH=$O(^LR(ECLRDFN,1.8,$P(EC0,U,2),1,XMATCH)) Q:'XMATCH "N"
- ;Get blood inventory file (#65) pointer
- S UNIT=$P($G(^LR(ECLRDFN,1.8,$P(EC0,"^",2),1,XMATCH,0)),U)
- ;Look at disposition field (#4.1) in blood inventory file (#65)
- S MOD=$P($G(^LRD(65,+XMATCH,4)),U),COMPID=$P(EC66,U,3)
- ; Get 'the modified to' entry pointer to blood inventory file (#66)
- I MOD="MO" S MODTO=0 F  S MODTO=$O(^LRD(65,+XMATCH,9,MODTO)) Q:'MODTO  D
- .S MODNODE=$G(^LRD(65,+XMATCH,9,MODTO,0)) Q:$P(^(0),U,3)'>1
- .Q:$P(MODNODE,U,2)'=COMPID
- .; Set the modify to unit ien for file (#66)
- Q $S(MOD="MO":"Y",1:"N")
- ;
+CHKMOD(MD) ;check if modifier is contained in string
+ N RES,MODX
+ I MD="" Q ""
+ S (RES,MODX)="" F  S MODX=$O(MODARY(MODX)) Q:MODX=""  D  I RES'="" Q
+ .I MD[MODX S RES=MODARY(MODX)
+ Q RES
 GETRPRV ; get requesting provider, requesting provider person class and 
  ; production division code
@@ -110,6 +97,4 @@
  . S PERCLS=$$GET^XUA4A72(ECARRY(9),ACCDT)
  . I +PERCLS>0 S ECARRY(10)=$P(PERCLS,U,7)
- . S ECREQNPI=$$NPI^XUSNPI("Individual_ID",ECARRY(9),ACCDT)
- . S:+ECREQNPI'>0 ECREQNPI="" S ECREQNPI=$P(ECREQNPI,U)
  . S ECARRY(9)=2_ECARRY(9)
  S DIV=$P($G(^LRO(68,+AREA,1,ACCDT,1,NUM,.4)),U)
@@ -155,5 +140,5 @@
  I $G(ECXLOGIC)>2005 S ECXSTR=ECXSTR_U_ECXPHY_U_ECXPHYPC
  I $G(ECXLOGIC)>2006 D
- .S ECXSTR=ECXSTR_U_ECXERI_U_ECARRY(11)_U_ECARRY(12)_U_ECARRY(9)_U_ECARRY(10)_U_ECARRY(13)_U
+ .S ECXSTR=ECXSTR_U_ECXERI_U_ECARRY(11)_U_ECARRY(12)_U_ECARRY(9)_U_ECARRY(10)_U_ECARRY(13)
  I '$D(ECXRPT) D FILE(ECXSTR) Q
  S ^TMP("ECXLBB",$J,ECXDFN,ECD)=ECXSTR  ;temporary global array
@@ -194,6 +179,5 @@
  ; ordering physician^ordering physician pc^emergency response indicator
  ; (FEMA)^unit modified^unit modification^requesting provider^request. 
- ; provider person class^ordering provider npi ECPHYNPI
- ;ECODE1- requesting provider npi ECREQNPI
+ ; provider person class
  ;note:  DSS product dept and DSS IP # are dependent on the release of
  ; ECX*3*61
@@ -201,8 +185,5 @@
  S EC7=$O(^ECX(ECFILE,999999999),-1),EC7=EC7+1
  S ECODE=EC7_"^"_ECODE
- I ECXLOGIC>2007 D
- .S ECODE=ECODE_ECPHYNPI_U
- .S ECODE1=$G(ECREQNPI)
- S ^ECX(ECFILE,EC7,0)=ECODE,^ECX(ECFILE,EC7,1)=$G(ECODE1),ECRN=ECRN+1
+ S ^ECX(ECFILE,EC7,0)=ECODE,ECRN=ECRN+1
  S DA=EC7,DIK="^ECX("_ECFILE_"," D IX1^DIK K DIK,DA
  Q
Index: FOIAVistA/tag/r/DSS_EXTRACTS-ECX/ECXMOV.m
===================================================================
--- FOIAVistA/trunk/r/DSS_EXTRACTS-ECX/ECXMOV.m	(revision 631)
+++ FOIAVistA/tag/r/DSS_EXTRACTS-ECX/ECXMOV.m	(revision 636)
@@ -1,4 +1,4 @@
-ECXMOV ;ALB/JAP,BIR/DMA,PTD-Transfer and Discharge Extract ; 6/6/07 6:46am
- ;;3.0;DSS EXTRACTS;**8,24,33,39,41,42,46,65,84,107,105**;Dec 22, 1997;Build 70
+ECXMOV ;ALB/JAP,BIR/DMA,PTD-Transfer and Discharge Extract ; 8/19/05 9:13am
+ ;;3.0;DSS EXTRACTS;**8,24,33,39,41,42,46,65,84**;Dec 22, 1997
 BEG ;entry point from option
  D SETUP I ECFILE="" Q
@@ -60,5 +60,4 @@
  ....S ECXDSC=$$PRIMARY^ECXUTL2(ECXDFN,ECD)
  ....S ECXDPCT=$P(ECXDSC,U),ECXDPR=$P(ECXDSC,U,2),ECXDAPR=$P(ECXDSC,U,5),ECXDPRPC=$P(ECXDSC,U,3),ECXDAPPC=$P(ECXDSC,U,6)
- ....S ECDAPRNP=$P(ECXDSC,U,7),ECDPRNPI=$P(ECXDSC,U,4)
  ...;
  ...;Get production division ;p-46
@@ -84,5 +83,5 @@
  ;disch assoc prim prov ECXDAPR^production division ECXPDIV
  ;^disch prov person class ECXDPRPC^disch assoc prov pe-
- ;rson person class^disch assoc pc prov npi ECDAPRNP^discharge pc provider npi ECDPRNPI
+ ;rson person class
  N DA,DIK
  S EC7=$O(^ECX(ECFILE,999999999),-1),EC7=EC7+1
@@ -95,5 +94,4 @@
  S ECODE1=ECODE1_ECXDPCT_U_ECXDAPR_U_ECXPDIV ;p-46 added ECXPDIV
  I ECXLOGIC>2005 S ECODE1=ECODE1_U_ECXDPRPC_U_ECXDAPPC
- I ECXLOGIC>2007 S ECODE1=ECODE1_U_$G(ECDAPRNP)_U_$G(ECDPRNPI)
  S ^ECX(ECFILE,EC7,0)=ECODE,^ECX(ECFILE,EC7,1)=ECODE1,ECRN=ECRN+1
  S DA=EC7,DIK="^ECX("_ECFILE_"," D IX1^DIK K DIK,DA
Index: FOIAVistA/tag/r/DSS_EXTRACTS-ECX/ECXMTL.m
===================================================================
--- FOIAVistA/trunk/r/DSS_EXTRACTS-ECX/ECXMTL.m	(revision 631)
+++ FOIAVistA/tag/r/DSS_EXTRACTS-ECX/ECXMTL.m	(revision 636)
@@ -1,4 +1,4 @@
-ECXMTL ;ALB/JAP - DSS Mental Health Extract ; 8/17/07 9:52am
- ;;3.0;DSS EXTRACTS;**24,30,33,39,46,49,71,82,84,92,105**;Dec 22, 1997;Build 70
+ECXMTL ;ALB/JAP - DSS Mental Health Extract ; 9/11/06 11:07am
+ ;;3.0;DSS EXTRACTS;**24,30,33,39,46,49,71,82,84,92**;Dec 22, 1997;Build 30
  ;
 BEG ;entry point from option
@@ -31,5 +31,5 @@
  .S ECXSCNUM=$P(^ECX(ECFILE,JJ,0),U,23),ECXSCNAM=$P(^ECX(ECFILE,JJ,0),U,24)
  .D PAT(ECXDFN,ECXDATE)
- .S (ECXPRCLS,ECPRNPI,ECXDIV,ECXPDIV)="" I ECXPRV D PROV(.ECXPRV,ECXDATE)
+ .S (ECXPRCLS,ECXPRNPI,ECXDIV,ECXPDIV)="" I ECXPRV D PROV(.ECXPRV,ECXDATE)
  .S ECXDSSI=""
  .I ECXLOGIC>2003 D
@@ -79,8 +79,4 @@
  S ECXA=$P(X,U),(ECXADT,ECXADMDT)=$P($P(X,U,4),"."),ECXDCDT=$P($P(X,U,6),".")
  S ECXWPRV=$P(X,U,7),ECXATT=$P(X,U,8)
- S ECWPRNPI=$$NPI^XUSNPI("Individual_ID",ECXWPRV,ECXDATE)
- S:+ECWPRNPI'>0 ECWPRNPI="" S ECWPRNPI=$P(ECWPRNPI,U)
- S ECATTNPI=$$NPI^XUSNPI("Individual_ID",ECXATT,ECXDATE)
- S:+ECATTNPI'>0 ECATTNPI="" S ECATTNPI=$P(ECATTNPI,U)
  ;Get ward provider and attending phy person classes
  S ECXWPRPC=$P(X,U,11),ECXATTPC=$P(X,U,12)
@@ -92,6 +88,5 @@
  N INST,DGIEN,ARR,DIC,DR,DA,DIQ
  S ECXPRCLS=$$PRVCLASS^ECXUTL(ECXPRV,ECXDATE)
- S ECPRNPI=$$NPI^XUSNPI("Individual_ID",ECXPRV,ECXDATE)
- S:+ECPRNPI'>0 ECPRNPI="" S ECPRNPI=$P(ECPRNPI,U)
+ S ECXPRNPI=""
  ;get division identifier using provider
  S (ECXDIV,ECXPDIV)=""
@@ -119,10 +114,10 @@
  ;day ECXDATE^division ECXDIV^admit date ECXADMDT^
  ;d/c date ECXDCDT^dss id ECXDSSI^pc team ECPTTM^pc provider ECPTPR^
- ;placeholder^pc prov person class ECCLAS^
- ;provider ECXPRV^placeholder^prov person class ECXPRCLS^
+ ;pc provider npi ECPTNPI^pc prov person class ECCLAS^
+ ;provider ECXPRV^provider npi ECXPRNPI^prov person class ECXPRCLS^
  ;test name ECXSCNAM(?)^test ien ECXSCNUM(?)^scale number^scale name^
  ;test score^scale score^attend phys^ward provider
  ;node1
- ;mpi^assoc pc provider^placeholder^
+ ;mpi^assoc pc provider^assoc pc provider npi^
  ;assoc pc prov person class^asi class^asi special^asi encounter date^
  ;purple heart ind.^dom prrtp & saartp ind.^enrollment cat^
@@ -135,17 +130,15 @@
  ;enc cv eligible ECXCVENC^national patient record flag ECXNPRFI
  ;attending phy person class ECXATTPC^ward provider person class 
- ;ECXWPRPC^^agent orange status ECXAST^asso prov npi ECASNPI^att phy
- ;npi ECATTNPI^primary care prov npi ECPTNPI^provider npi ECPRNPI^ward
- ;provider npi ECWPRNPI
+ ;ECXWPRPC^^agent orange status ECXAST
  N DA,DIK,STR
  I $P(^ECX(ECFILE,JJ,0),U,21)="ASI" S $P(^ECX(ECFILE,JJ,1),U,7)=ECXDATE
  S $P(^ECX(ECFILE,JJ,0),U,6,9)=ECXSSN_U_ECXPNM_U_ECXA_U_ECXDATE
  S STR=$S(ECXLOGIC<2005:ECXDIV,1:"")_U_ECXADMDT_U_ECXDCDT_U_ECXDSSI_U_ECPTTM_U_ECPTPR_U
- S STR=STR_U_ECCLAS,$P(^ECX(ECFILE,JJ,0),U,10,17)=STR,STR=""
- S $P(^ECX(ECFILE,JJ,0),U,18,20)=ECXPRV_U_U_ECXPRCLS
+ S STR=STR_ECPTNPI_U_ECCLAS,$P(^ECX(ECFILE,JJ,0),U,10,17)=STR,STR=""
+ S $P(^ECX(ECFILE,JJ,0),U,18,20)=ECXPRV_U_ECXPRNPI_U_ECXPRCLS
  S $P(^ECX(ECFILE,JJ,0),U,23,24)=ECXSCNUM_U_ECXSCNAM
  S $P(^ECX(ECFILE,JJ,0),U,27,29)=ECXATT_U_ECXWPRV_U
  I '$D(^ECX(ECFILE,JJ,1)) S ^ECX(727.812,JJ,1)="^^^^^"
- S $P(^ECX(ECFILE,JJ,1),U,1,4)=ECXMPI_U_ECASPR_U_U_ECCLAS2
+ S $P(^ECX(ECFILE,JJ,1),U,1,4)=ECXMPI_U_ECASPR_U_ECASNPI_U_ECCLAS2
  S STR=ECXPHI_U_ECXDOM_U_ECXCAT_U_ECXSTAT_U_$S(ECXLOGIC<2005:ECXPRIOR,1:"")_U_ECXPOS_U
  S STR=STR_ECXOBS_U_ECXENC_U_ECXAOL_U_ECXDOB_U_ECXPDIV_U_ECXDEPT_U
@@ -154,7 +147,5 @@
  I ECXLOGIC>2005 S STR=STR_U_ECXATTPC_U_ECXWPRPC
  S $P(^ECX(ECFILE,JJ,1),U,8,22)=STR
- I ECXLOGIC>2006 S $P(^ECX(ECFILE,JJ,1),U,34)=ECXAST_U
- I ECXLOGIC>2007 S $P(^ECX(ECFILE,JJ,1),U,35)=ECASNPI_U_ECATTNPI_U_ECPTNPI_U D
- . S ^ECX(ECFILE,JJ,2)=ECPRNPI_U_ECWPRNPI
+ I ECXLOGIC>2006 S $P(^ECX(ECFILE,JJ,1),U,34)=ECXAST
  S DA=JJ,DIK="^ECX("_ECFILE_"," D IX1^DIK K DIK,DA
  S ECRN=ECRN+1
Index: FOIAVistA/tag/r/DSS_EXTRACTS-ECX/ECXNUT.m
===================================================================
--- FOIAVistA/trunk/r/DSS_EXTRACTS-ECX/ECXNUT.m	(revision 631)
+++ FOIAVistA/tag/r/DSS_EXTRACTS-ECX/ECXNUT.m	(revision 636)
@@ -1,4 +1,4 @@
-ECXNUT ;ALB/JRC Nutrition DSS Extract ; 9/24/07 9:33am
- ;;3.0;DSS EXTRACTS;**92,107,105**;Dec 22, 1997;Build 70
+ECXNUT ;ALB/JRC Nutrition DSS Extract ; 4/2/2007
+ ;;3.0;DSS EXTRACTS;**92,107**;Dec 22, 1997;Build 9
 BEG ;entry point from option
  N EC23,EC7,ECED,ECFILE,ECGRP,ECHEAD,ECINST,ECPACK,ECPIECE,ECRN,ECRTN,ECSD1,ECVER,ECXYM
@@ -9,7 +9,7 @@
 START ; start package specific extract
  ;Init variables
- N ECSD,ARRAY
- S ECED=ECED+.3,ECSD=ECSD1,ARRAY="^TMP($J,""FH"")"
- K @ARRAY
+ N ECSD
+ S ECED=ECED+.3,ECSD=ECSD1
+ K ^TMP($J,"FH")
  ;
  ;Call n&fs api and store in ^TMP($J,"FH" global
@@ -20,5 +20,5 @@
  ;
  ;kill ^tmp global
- K @ARRAY
+ K ^TMP($J,"FH")
  ;
  Q
@@ -27,11 +27,8 @@
  ;Init variables
  N ECXORDPC,ECXSSN,ECXPNM,ECXSEX,ECXDOB,ECXMPI,ECXRC1,ECXETH,ECXVET,ECXENRL,ECXELIG,ECXMST,ECXPST,ECXPLOC,ECXPHI,ECXMNS,ECXSTATE,ECXCNTY,ECXZIP,ECXPOS,ECXAST,ECXAOL,ECXRST,ECXEST,ECXTM,ECXDATE,ECXMN,ECXSPC
- N ECXADMDT,ECXWRD,ECXFAC,ECXPRV,ECXPRNPI,ECXATT,ECXATNPI,ECXDOM,ECXATTPC,ECXPRVPC,ECXPDIV,ECXCBOC,ECPTPR,ECCLASS,ECPTTM,ECXOBS,ECXHNCI,ECXNPRFI,ECXERI,ECXENC,ECPAT,ECXERR,ADM,W,X,ECXCAT,ECXCVE,ECXPRIOR,ECXPTYPE,ECXSTAT,ECXUESTA,ECXA,ECORNPI
- N ECXOEF,ECXOEFDT
+ N ECXADMDT,ECXWRD,ECXFAC,ECXPRV,ECXPRNPI,ECXATT,ECXATNPI,ECXDOM,ECXATTPC,ECXPRVPC,ECXPDIV,ECXCBOC,ECPTPR,ECCLASS,ECPTTM,ECXOBS,ECXHNCI,ECXNPRFI,ECXERI,ECXENC,ECPAT,ECXERR,ADM,W,X,ECXCAT,ECXCVE,ECXPRIOR,ECXPTYPE,ECXSTAT,ECXUESTA,ECXA
  ;
  ;- Prefix ordering pro with a 2 and get person class
  S ECXORDPC=$$PRVCLASS^ECXUTL(+ECXORDPH,DATE)
- S ECORNPI=$$NPI^XUSNPI("Individual_ID",+ECXORDPH,DATE)
- S:+ECORNPI'>0 ECORNPI="" S ECORNPI=$P(ECORNPI,U)
  S ECXORDPH=$S(ECXORDPH:2_ECXORDPH,1:"")
  ;
@@ -45,13 +42,9 @@
  S ECXPOS=ECPAT("POS"),ECXAST=ECPAT("AO STAT"),ECXAOL=ECPAT("AOL"),ECXRST=ECPAT("IR STAT"),ECXEST=ECPAT("EC STAT")
  ;
- ;Get oef/oif data
- S ECXOEF=ECPAT("ECXOEF")
- S ECXOEFDT=ECPAT("ECXOEFDT")
- ;
  ;Get enrollment status
  I $$ENROLLM^ECXUTL2(ECXDFN)
  ;
  S ECXTM=$$ECXTIME^ECXUTL(DATE)
- S ECXDATE=$$ECXDATE^ECXUTL(+DATE,ECXYM)
+ S ECXDATE=DATE
  ;
  ;- Use movement record date & time
@@ -67,5 +60,5 @@
  ;- Get primary care data
  S X=$$PRIMARY^ECXUTL2(ECXDFN,DATE)
- S ECPTPR=$P(X,U,2),ECCLASS=$P(X,U,3),ECPTTM=$P(X,U),ECPTNPI=$P(X,U,4)
+ S ECPTPR=$P(X,U,2),ECCLASS=$P(X,U,3),ECPTTM=$P(X,U)
  ;
  ;- Observation patient indicator (YES/NO)
@@ -115,7 +108,6 @@
  ;facility^delivery location type^delivery feeder location^quantity^
  ;cboc^status^user enrollee^patient type^cv status eligibility^
- ;national patient record flag^emergency response indicator^admission
- ;date^oef/oif ECXOEF^oef/oif return date ECXOEFDT^ordering provider
- ;npi ECORNPI^primary care provider npi ECPTNPI
+ ;national^patient record flag^emergency response indicator^admission
+ ;date
  ;
  N DA,DIK,ECODE,ECODE1
@@ -129,5 +121,5 @@
  S ECXSPC=$G(ECXDATA(7))
  ;
- S ECODE=ECODE_ECXDATE_U_ECXTM_U_ECXSPC_U_ECXORDPH_U_ECXORDPC_U
+ S ECODE=ECODE_$$ECXDATE^ECXUTL(DATE,ECXYM)_U_ECXTM_U_ECXSPC_U_ECXORDPH_U_ECXORDPC_U
  S ECODE=ECODE_ECPTPR_U_ECCLASS_U_ECPTTM_U_ECXMPI_U_ECXDOB_U_ECXSEX_U
  S ECODE=ECODE_ECXRC1_U_ECXETH_U_ECXVET_U_ECXSTAT_U_ECXENRL_U_ECXCAT_U
@@ -139,5 +131,4 @@
  S ECODE1=ECODE1_ECXCBOC_U_ECXUESTA_U_ECXPTYPE_U_ECXCVE_U_ECXNPRFI_U
  S ECODE1=ECODE1_ECXERI_U_$S(ECXADMDT:$$ECXDATE^ECXUTL(ECXADMDT,ECXYM),1:"")
- I ECXLOGIC>2007 S ECODE1=ECODE1_U_ECXOEF_U_ECXOEFDT_U_$G(ECXTFU)_U_ECORNPI_U_ECPTNPI
  S ^ECX(ECFILE,EC7,0)=ECODE,^ECX(ECFILE,EC7,1)=ECODE1
  S ECRN=ECRN+1
Index: FOIAVistA/tag/r/DSS_EXTRACTS-ECX/ECXNUT1.m
===================================================================
--- FOIAVistA/trunk/r/DSS_EXTRACTS-ECX/ECXNUT1.m	(revision 631)
+++ FOIAVistA/tag/r/DSS_EXTRACTS-ECX/ECXNUT1.m	(revision 636)
@@ -1,129 +1,69 @@
-ECXNUT1 ;ALB/JRC Nutrition DSS Extract ; 11/23/07 12:27pm
- ;;3.0;DSS EXTRACTS;**92,107,105**;Dec 22, 1997;Build 70
+ECXNUT1 ;ALB/JRC Nutrition DSS Extract ; 10/27/06 1:53pm
+ ;;3.0;DSS EXTRACTS;**92**;Dec 22, 1997;Build 30
  Q
+ ;
 GETMEALS ;get patient meals 
- ; variable names:   ordate - regular diet order date
- ;                   sdate  - diet order npo/withhold date
- ;                   norder - "sf" or "so" order date
- ;                             note: there is a relationship
- ;                             between "sf", "so" and regular diets
- ;                   adate - admission date
- ;                   ddate - discharge date
- N I,J,P,D,ECXADM,FHDFN,ORDATE,DATES,NODE,SF,PRODUCT,ECXQTY,ORDER,ECXORDPH,ECXKEY,ECXFPD,ECXFDD,ECXFPF,ECXDLT,ECXDFL,MEAL,MEALS,SORDATE,NUMBER,TF,TFNODE,ECXTFU,SDATE
- ;set ecsd to first day of the month before setting meals array
- S ECSD=ECSD+.1,ECXTFU=""
- ;setup individual meals array for inpatients
- F I=ECSD:1:ECED F J=I+.0800,I+.1300,I+.1800 S MEALS(J)=J
- ;get "inp", "sf", and "so" inpatient meals
- S ECXADM=0 F  S ECXADM=$O(@ARRAY@(ECXADM)) Q:'ECXADM  D
- .S FHDFN=0 F  S FHDFN=$O(@ARRAY@(ECXADM,FHDFN)) Q:'FHDFN  D
- ..S ORDATE=0,(ADATE,DDATE,SDATE)=""
- ..F  S ORDATE=$O(@ARRAY@(ECXADM,FHDFN,ORDATE)) Q:'ORDATE  D
- ...Q:$P($G(^TMP($J,"FH",ECXADM,FHDFN,+ORDATE,"INP")),U,7)'=""
- ...S DATES=$$GETDATES(),SDATE=ORDATE
- ...;create regular diet individual meals
- ...S P="INP",D="PD"
- ...;get new order date and time if exist
- ...S NORDER=$$NEWORDER(D,ORDATE)
- ...S NODE=$G(^TMP($J,"FH",ECXADM,FHDFN,ORDATE,"INP")) Q:'NODE
- ...S PRODUCT=$P(NODE,U,13),ECXQTY=1,ORDER=""_$P(NODE,U,14)_","_""
- ...;Resolve feeder key for nutrition product
- ...S ECXKEY=$$NUTKEY^ECXUTL6(D,PRODUCT)
- ...I $$NUTLOC^ECXUTL6(P,D,.ECXFPD,.ECXFDD,.ECXFPF,.ECXDLT,.ECXDFL)
- ...S MEAL=ORDATE F  S MEAL=$O(MEALS(MEAL)) Q:'MEAL  D
- ....I $P(DATES,U) Q:MEAL>$P(DATES,U)
- ....I NORDER]"" Q:MEAL>NORDER
- ....I $P(DATES,U,3) Q:MEAL>$P(DATES,U,3)
- ....S ECXORDPH=$$GET1^DIQ(100,+ORDER,1,"I")
- ....;Get additional data and file record.
- ....S DATE=MEAL D GET^ECXNUT
- ;create supplemental feeding meals if they exist
- S ECXADM=0 F  S ECXADM=$O(@ARRAY@(ECXADM)) Q:'ECXADM  D
- .S FHDFN=0 F  S FHDFN=$O(@ARRAY@(ECXADM,FHDFN)) Q:'FHDFN  D
- ..S ORDATE=0,(ADATE,DDATE,SDATE)=""
- ..F  S ORDATE=$O(@ARRAY@(ECXADM,FHDFN,ORDATE)) Q:'ORDATE  D
- ...S DATES=$$GETDATES()
- ...;get "sf" orders if they exist
- ...N SFNODE S (SFNODE,ECXORDPH,CDATE)=""
- ...S SFNODE=$G(@ARRAY@(ECXADM,FHDFN,ORDATE,"SF"))
- ...I +SFNODE D
- ....S P="INP",D="SF"
- ....;get new order date and time if exist
- ....S NORDER=$$NEWORDER(D,ORDATE),CDATE=$P(SFNODE,U,32)
- ....;order thru all "sf" product fields and generate records
- ....F SF=5:2:27 S PRODUCT=$P(SFNODE,U,SF) S ECXQTY=$P(SFNODE,U,(SF+1)) D
- .....Q:PRODUCT']""
- .....;Resolve external value for product key
- .....S ECXKEY=$$NUTKEY^ECXUTL6("SF",PRODUCT)
- .....I $$NUTLOC^ECXUTL6(P,D,.ECXFPD,.ECXFDD,.ECXFPF,.ECXDLT,.ECXDFL)
- .....;create individual meals
- .....F MEAL=ECSD:1:ECED D
- ......I CDATE]"" Q:MEAL>CDATE
- ......I NORDER]"" Q:MEAL>NORDER
- ......I $P(DATES,U,3)]"" Q:MEAL>$P(DATES,U,3)
- ......;Get additional data and file record.
- ......S DATE=$P(MEAL,".")_"."_$S("57911"[SF:10,"13151719"[SF:14,1:18)
- ......D GET^ECXNUT
- ;create standing order meals if they exist
- S ECXADM=0 F  S ECXADM=$O(@ARRAY@(ECXADM)) Q:'ECXADM  D
- .S FHDFN=0 F  S FHDFN=$O(@ARRAY@(ECXADM,FHDFN)) Q:'FHDFN  D
- ..S ORDATE=0,(ADATE,DDATE,SDATE)=""
- ..F  S ORDATE=$O(@ARRAY@(ECXADM,FHDFN,ORDATE)) Q:'ORDATE  D
- ...S DATES=$$GETDATES()
- ...N SONODE,NUM S (SONODE,ECXORDPH)="",NUM=0
- ...S NUM=$O(@ARRAY@(ECXADM,FHDFN,ORDATE,"SO",NUM)) Q:'NUM  D
- ....S SONODE=$G(@ARRAY@(ECXADM,FHDFN,ORDATE,"SO",NUM))
- ....I +SONODE D
- .....;create standing order meals
- .....N SMEAL S P="INP",D="SO"
- .....;get new order date and time if exist
- .....S NORDER=$$NEWORDER(D,ORDATE),SMEAL=$P(SONODE,U,3)
- .....S PRODUCT=$P(SONODE,U,2),ECXQTY=$P(SONODE,U,8)
- .....;Resolve feeder key for nutrition product
- .....S ECXKEY=$$NUTKEY^ECXUTL6(D,PRODUCT)
- .....I $$NUTLOC^ECXUTL6(P,D,.ECXFPD,.ECXFDD,.ECXFPF,.ECXDLT,.ECXDFL)
- .....;create individual meals
- .....S MEAL=ORDATE F  S MEAL=$O(MEALS(MEAL)) Q:'MEAL  D
- ......N TIME S TIME=$P(MEALS(MEAL),".",2)
- ......Q:SMEAL'["B"&(TIME=08)
- ......Q:SMEAL'["N"&(TIME=13)
- ......Q:SMEAL'["E"&(TIME=18)
- ......I $P(DATES,U) Q:MEAL>$P(DATES,U)
- ......I NORDER]"" Q:MEAL>NORDER
- ......I $P(DATES,U,3) Q:MEAL>$P(DATES,U,3)
- ......;Get additional data and file record.
- ......S DATE=MEAL D GET^ECXNUT
- ;remove individual meals array
- K MEALS
+ ;init variables
+ N DATE,FHDFN,ECXADM,NODE,PRODUCT,ECXQTY,ORDER,ECXORDPH,ECXKEY,P,D
+ N ECXFPD,ECXFDD,ECXFPF,ECXDLT,ECXDFL,NUMBER,PNODE,SF,TF,TFNODE
+ ;S (DATE,FHDFN,NUMBER,ECXQTY)=0,(ECXADM,NODE,ORDER,ECXORDPH)=""
+ ;Get inpatient diets
+ ;S P="INP",D="PD" F  S DATE=$O(^TMP($J,"FH",DATE)) Q:'DATE  D
+ ;. F  S FHDFN=$O(^TMP($J,"FH",DATE,FHDFN))  Q:'FHDFN  D
+ ;.. F  S ECXADM=$O(^TMP($J,"FH",DATE,FHDFN,ECXADM)) Q:'ECXADM  D
+ ;... S NODE=$G(^TMP($J,"FH",DATE,FHDFN,ECXADM,"INP")) Q:'NODE
+ ;... S PRODUCT=$P(NODE,U,13),ECXQTY=1,ORDER=""_$P(NODE,U,14)_","_""
+ ;... S ECXORDPH=$$GET1^DIQ(100,+ORDER,1,"I")
+ ;... ;Resolve feeder key for nutrition product
+ ;... S ECXKEY=$$NUTKEY^ECXUTL6("PD",PRODUCT)
+ ;... I $$NUTLOC^ECXUTL6(P,D,.ECXFPD,.ECXFDD,.ECXFPF,.ECXDLT,.ECXDFL)
+ ;... ;Get additional data and file record.
+ ;... D GET^ECXNUT
+ ;Get inpatient supplemental feedings
+ ;S (FHDFN,DATE)=0,(ECXADM,NODE,ORDER,ECXORDPH)=""
+ ;S P="INP",D="SF" F  S DATE=$O(^TMP($J,"FH",DATE)) Q:'DATE  D
+ ;. F  S FHDFN=$O(^TMP($J,"FH",DATE,FHDFN)) Q:'FHDFN  D
+ ;.. F  S ECXADM=$O(^TMP($J,"FH",DATE,FHDFN,ECXADM)) Q:'ECXADM  D
+ ;... S NODE=$G(^TMP($J,"FH",DATE,FHDFN,ECXADM,"SF")) Q:'NODE
+ ;... F SF=5:2:27 S PRODUCT=$P(NODE,U,SF) Q:PRODUCT']""  S ECXQTY=1 D
+ ;.... S ORDER=""_$P(NODE,U,7)_","_""
+ ;.... S ECXORDPH=$$GET1^DIQ(100,ORDER,1,"I")
+ ;.... ;Resolve external value for product key
+ ;.... S ECXKEY=$$NUTKEY^ECXUTL6("SF",PRODUCT)
+ ;.... I $$NUTLOC^ECXUTL6(P,D,.ECXFPD,.ECXFDD,.ECXFPF,.ECXDLT,.ECXDFL)
+ ;.... ;Get additional data and file record.
+ ;.... D GET^ECXNUT
+ ;Get inpatient standing orders
+ ;S (FHDFN,DATE)=0,(ECXADM,NODE,ECXORDPH)=""
+ ;S P="INP",D="SO" F  S DATE=$O(^TMP($J,"FH",DATE)) Q:'DATE  D
+ ;. F  S FHDFN=$O(^TMP($J,"FH",DATE,FHDFN)) Q:'FHDFN  D
+ ;.. F  S ECXADM=$O(^TMP($J,"FH",DATE,FHDFN,ECXADM)) Q:'ECXADM  D
+ ;... S NODE=$G(^TMP($J,"FH",DATE,FHDFN,ECXADM,"SO")) Q:'NODE
+ ;... S PRODUCT=$P(NODE,U,2),ECXQTY=1
+ ;... ;Resolve external value for product key
+ ;... S ECXKEY=$$NUTKEY^ECXUTL6("SO",PRODUCT)
+ ;... I $$NUTLOC^ECXUTL6(P,D,.ECXFPD,.ECXFDD,.ECXFPF,.ECXDLT,.ECXDFL)
+ ;... ;Get additional data and file record.
+ ;... D GET^ECXNUT
  ;Get inpatient tube feedings
- N P1,PNODE,CDATE,ECXTFU,MEALS
- ;set daily meals array for inpatient tube feedings
- F I=ECSD:1:ECED S MEALS(I)=""
- S (FHDFN,DATE,P1,CDATE)=0,(ECXADM,NODE,ECXORDPH,PNODE)=""
- S P="INP",D="TF" F  S ECXADM=$O(^TMP($J,"FH",ECXADM)) Q:'ECXADM  D
- .F  S FHDFN=$O(^TMP($J,"FH",ECXADM,FHDFN))  Q:'FHDFN  D
- ..F  S DATE=$O(^TMP($J,"FH",ECXADM,FHDFN,DATE)) Q:'DATE  D
- ...S NODE=$G(^TMP($J,"FH",ECXADM,FHDFN,DATE,"TF")) Q:'NODE  D
- ....F  S P1=$O(^TMP($J,"FH",ECXADM,FHDFN,DATE,"TF",P1)) Q:'P1  D
- .....S PNODE=^TMP($J,"FH",ECXADM,FHDFN,DATE,"TF",P1,"P")
- .....S ORDATE=DATE,DATES=$$GETDATES(),CDATE=$P(NODE,U,11)
- .....S PRODUCT=$P(PNODE,U,1),ORDER=""_$P(NODE,U,14)_","_""
- .....S ECXQTY=$S($P(PNODE,U,3)["GM":$P(PNODE,U,3),1:$P(PNODE,U,4))
- .....S ECXTFU=$S($P(PNODE,U,3)["GM":"GM",1:"ML")
- .....;Resolve external value for product key
- .....S ECXKEY=$$NUTKEY^ECXUTL6(D,PRODUCT)
- .....I $$NUTLOC^ECXUTL6(P,D,.ECXFPD,.ECXFDD,.ECXFPF,.ECXDLT,.ECXDFL)
- .....;create daily meals
- .....S MEAL=DATE F  S MEAL=$O(MEALS(MEAL)) Q:'MEAL  D
- ......I $P(DATES,U) Q:MEAL>$P(DATES,U)
- ......I CDATE]"" Q:MEAL>CDATE
- ......I $P(DATES,U,3) Q:MEAL>$P(DATES,U,3)
- ......S ECXORDPH=$$GET1^DIQ(100,ORDER,1,"I")
- ......;Get additional data and file record.
- ......S DATE=MEAL D GET^ECXNUT S DATE=ORDATE
+ ;S (FHDFN,DATE,P)=0,(ECXADM,NODE,ECXORDPH,PNODE)=""
+ ;S P="INP",D="TF" F  S DATE=$O(^TMP($J,"FH",DATE)) Q:'DATE  D
+ ;. F  S FHDFN=$O(^TMP($J,"FH",DATE,FHDFN))  Q:'FHDFN  D
+ ;.. F  S ECXADM=$O(^TMP($J,"FH",DATE,FHDFN,ECXADM)) Q:'ECXADM  D
+ ;... S NODE=$G(^TMP($J,"FH",DATE,FHDFN,ECXADM,"TF")) Q:'NODE
+ ;... S P=$O(^TMP($J,"FH",DATE,FHDFN,ECXADM,"TF",P)) Q:'P  D
+ ;.... S PNODE=^TMP($J,"FH",DATE,FHDFN,ECXADM,"TF",P,"P")
+ ;.... S PRODUCT=$P(PNODE,U,1),ECXQTY=$P(PNODE,U,4)
+ ;.... S ORDER=""_$P(NODE,U,14)_","_""
+ ;.... S ECXORDPH=$$GET1^DIQ(100,ORDER,1,"I")
+ ;.... ;Resolve external value for product key
+ ;.... S ECXKEY=$$NUTKEY^ECXUTL6("TF",PRODUCT)
+ ;.... I $$NUTLOC^ECXUTL6(P,D,.ECXFPD,.ECXFDD,.ECXFPF,.ECXDLT,.ECXDFL)
+ ;.... ;Get additional data and file record.
+ ;.... D GET^ECXNUT
  ;Get outpatient recurring meals
- S DATE=0,(ECXADM,NODE,ECXORDPH,ECXTFU)=""
+ S (FHDFN,DATE)=0,(ECXADM,NODE,ECXORDPH)=""
  S P="OP",D="RM" F  S DATE=$O(^TMP($J,"FH",DATE)) Q:'DATE  D
- . S FHDFN=0 F  S FHDFN=$O(^TMP($J,"FH",DATE,FHDFN))  Q:'FHDFN  D
+ . F  S FHDFN=$O(^TMP($J,"FH",DATE,FHDFN))  Q:'FHDFN  D
  .. S NUMBER=0 F  S NUMBER=$O(^TMP($J,"FH",DATE,FHDFN,NUMBER)) Q:'NUMBER  D
  ... S NODE=$G(^TMP($J,"FH",DATE,FHDFN,NUMBER,"RM")) Q:'NODE
@@ -137,10 +77,10 @@
  ... D GET^ECXNUT
  ;Get outpatient tube feedings
- S DATE=0,(ECXADM,NODE,ECXORDPH)=""
+ S (FHDFN,DATE,NUMBER)=0,(ECXADM,NODE,ECXORDPH)=""
  S P="OP",D="TF" F  S DATE=$O(^TMP($J,"FH",DATE)) Q:'DATE  D
- . S FHDFN=0 F  S FHDFN=$O(^TMP($J,"FH",DATE,FHDFN))  Q:'FHDFN  D
- .. S NUMBER=0 F  S NUMBER=$O(^TMP($J,"FH",DATE,FHDFN,NUMBER)) Q:'NUMBER  D
- ... S NODE=$G(^TMP($J,"FH",DATE,FHDFN,NUMBER,"RMTF")) Q:NODE=""
- ... S TF=0 F  S TF=$O(^TMP($J,"FH",DATE,FHDFN,NUMBER,"RMTF",TF)) Q:'TF  D
+ . F  S FHDFN=$O(^TMP($J,"FH",DATE,FHDFN))  Q:'FHDFN  D
+ .. F  S NUMBER=$O(^TMP($J,"FH",DATE,FHDFN,NUMBER)) Q:'NUMBER  D
+ ... S NODE=$G(^TMP($J,"FH",DATE,FHDFN,NUMBER,"RMTF")) Q:'NODE
+ ... S TF=$O(^TMP($J,"FH",DATE,FHDFN,NUMBER,"RMTF",TF)) Q:'TF  D
  .... S TFNODE=^TMP($J,"FH",DATE,FHDFN,NUMBER,"RMTF",TF)
  .... S PRODUCT=$P(TFNODE,U,1),ECXQTY=$P(TFNODE,U,4)
@@ -155,6 +95,5 @@
  . F  S FHDFN=$O(^TMP($J,"FH",DATE,FHDFN)) Q:'FHDFN  D
  .. S NODE=$G(^TMP($J,"FH",DATE,FHDFN,"SM")) Q:'NODE
- .. S PRODUCT=$P(NODE,U,4),ECXQTY=1,ECXORDPH=$P(NODE,U,5)
- .. S PRODUCT=$$GET1^DIQ(111,PRODUCT,4,"I")
+ .. S PRODUCT=$P(NODE,U,13),ECXQTY=1,ECXORDPH=$P(NODE,U,5)
  .. ;Resolve external value for product key
  .. S ECXKEY=$$NUTKEY^ECXUTL6("SM",PRODUCT)
@@ -174,35 +113,2 @@
  .. D GET^ECXNUT
  Q
-GETDATES() ;Get admit, discharge, npo/withhold dates,for "inp", "sf" and "so"
- ;  return in string i.e.  stop date^admission date^discharge date
- ;     input:    ecxadm  -  movement file ien
- ;               fhdfn   - nutrition patient file (#115)
- ;
- ;     output:   stop date  - npo/withhold date
- ;               admit date - admission date and time
- ;               discharge date - discharge date and time
- ;init variables
- N ADATE,DDATE,DATE,STDATE,NORDATE,IENS
- ;check input
- Q:'$G(ECXADM)!'$G(FHDFN) "0^0^0"
- ;get admission and discharge dates
- S (ADATE,DDATE,DATE,SDATE,NORDATE,STDATE)="",IENS=""_ECXADM_","_FHDFN_","_"",ADATE=$$GET1^DIQ(115.01,IENS,.01,"I"),DDATE=$$GET1^DIQ(115.01,IENS,18,"I")
- ;get "inp" order's npo/withhold date return it as 'stdate' if exist
- S DATE=ORDATE F  S DATE=$O(@ARRAY@(ECXADM,FHDFN,DATE)) Q:'DATE  D
- .I $P($G(@ARRAY@(ECXADM,FHDFN,+DATE,"INP")),U,7)'="" S STDATE=DATE
- Q STDATE_U_ADATE_U_DDATE
-NEWORDER(TYPE,DATE) ;Look for new order for inpatient meal type if exist
- ;    Input     ecxadm -  movement #
- ;              fhdfn  -  nutrition file (#115) fhdfn
- ;              date   -  starting order date to begin lookup
- ;              type   -  meal type "sf", "so", or "pd"
- ;    Output:   new order date and time for specific meal type
- ;init variables
- N NORDER
- S NORDER=""
- ;check input
- Q:$G(TYPE)']""!'$G(DATE) NORDER
- F  S DATE=$O(@ARRAY@(ECXADM,FHDFN,DATE)) Q:'DATE  Q:NORDER  D
- .S NODE=$G(^TMP($J,"FH",ECXADM,FHDFN,DATE,TYPE)) Q:'NODE
- .S NORDER=DATE
- Q NORDER
Index: FOIAVistA/tag/r/DSS_EXTRACTS-ECX/ECXOPRX.m
===================================================================
--- FOIAVistA/trunk/r/DSS_EXTRACTS-ECX/ECXOPRX.m	(revision 631)
+++ FOIAVistA/tag/r/DSS_EXTRACTS-ECX/ECXOPRX.m	(revision 636)
@@ -1,4 +1,4 @@
-ECXOPRX ;ALB/JAP,BIR/DMA,CML,PTD-Prescription Extract for DSS ; 11/5/07 8:17am
- ;;3.0;DSS EXTRACTS;**10,11,8,13,24,30,33,38,39,46,49,71,81,84,92,105**;Dec 22, 1997;Build 70
+ECXOPRX ;ALB/JAP,BIR/DMA,CML,PTD-Prescription Extract for DSS ; 11/2/06 8:42am
+ ;;3.0;DSS EXTRACTS;**10,11,8,13,24,30,33,38,39,46,49,71,81,84,92**;Dec 22, 1997;Build 30
  ;
 BEG ;entry point from option
@@ -41,6 +41,4 @@
  ;- Get provider (either 2_provider or 6_provider depending on version)
  S ECXPROV=$S($P(ECDATA,U,4)'="":ECPROF_$P(ECDATA,U,4),1:""),ECXPROVP=$$PRVCLASS^ECXUTL($P(ECDATA,U,4),ECXDATE)
- S ECPRVNPI=$$NPI^XUSNPI("Individual_ID",$P(ECDATA,U,4),ECXDATE)
- S:+ECPRVNPI'>0 ECPRVNPI="" S ECPRVNPI=$P(ECPRVNPI,U)
  ;get classification data
  S ECXCLS=$G(^PSRX(ECRX,"IBQ")),ECXMIL=$P(ECXCLS,U,2),ECXAO=$P(ECXCLS,U,3),ECXIR=$P(ECXCLS,U,4),ECXECE=$P(ECXCLS,U,5),ECXHNC=$P(ECXCLS,U,6)
@@ -86,5 +84,5 @@
 PAT(ECXDFN,ECXDATE,ECXERR) ;Determine in/outpatient status, movement number, primary care team and provider
  N OK,X,PT
- S (ECXCAT,ECXSTAT,ECXPRIOR,ECXSBGRP,ECXOEF,ECXOEFDT)=""
+ S (ECXCAT,ECXSTAT,ECXPRIOR,ECXSBGRP)=""
  ;get patient data if saved
  I $D(^TMP($J,"ECXP",ECXDFN)) D
@@ -94,5 +92,5 @@
  .S ECXPHI=$P(PT,U,20),ECXCAT=$P(PT,U,21),ECXSTAT=$P(PT,U,22),ECXPRIOR=$P(PT,U,23)
  .S ECXCNHU=$P(PT,U,24),ECXPOS=$P(PT,U,25),ECXAOL=$P(PT,U,26),ECXHNCI=$P(PT,U,27),ECXETH=$P(PT,U,28),ECXRC1=$P(PT,U,29),ECXMTST=$P(PT,U,30)
- .S PT1=$G(^TMP($J,"ECXP",ECXDFN,1)),ECXERI=$P(PT1,U),ECXEST=$P(PT1,U,2),ECXOEF=$P(PT1,U,3),ECXOEFDT=$P(PT1,U,4)
+ .S PT1=$G(^TMP($J,"ECXP",ECXDFN,1)),ECXERI=$P(PT1,U),ECXEST=$P(PT1,U,2)
  .I $$ENROLLM^ECXUTL2(ECXDFN)
  ;set patient data
@@ -110,10 +108,7 @@
  .S ECXHNCI=$$HNCI^ECXUTL4(ECXDFN) ;Head and Neck Cancer Indicator
  .S ECXETH=ECXPAT("ETHNIC"),ECXRC1=ECXPAT("RACE1") ;Race and Ethnicity
- .; OEF/OIF data
- .S ECXOEF=ECXPAT("ECXOEF")
- .S ECXOEFDT=ECXPAT("ECXOEFDT")
  .S ^TMP($J,"ECXP",ECXDFN)=ECXSSN_U_ECXPNM_U_ECXMPI_U_ECXSEX_U_ECXDOB_U_ECXELIG_U_ECXVET_U_ECXRACE_U_ECXPST_U_ECXPLOC_U_ECXRST_U_ECXAST_U_ECXMST_U_ECXSTATE_U_ECXCNTY_U_ECXZIP_U_ECXENRL_U_U
  .S ^TMP($J,"ECXP",ECXDFN)=^TMP($J,"ECXP",ECXDFN)_U_ECXPHI_U_ECXCAT_U_ECXSTAT_U_ECXPRIOR_U_ECXCNHU_U_ECXPOS_U_ECXAOL_U_ECXHNCI_U_ECXETH_U_ECXRC1_U_ECXMTST
- .S ^TMP($J,"ECXP",ECXDFN,1)=ECXERI_U_ECXEST_U_ECXOEF_U_ECXOEFDT
+ .S ^TMP($J,"ECXP",ECXDFN,1)=ECXERI_U_ECXEST
  ;get inpatient data
  S (ECXA,ECXADMDT,ECXDOM,ECXMN,ECXTS)="",X=$$INP^ECXUTL2(ECXDFN,ECXDATE) D
